#!/bin/bash
#
#%stage: block
##programs: /usr/bin/rbd
#%modules: libcrc32c libceph rbd

cmdline_rootdev=$(get_param rbdroot)
cmdline_vardev=$(get_param rbdvar)

if [[ -n $cmdline_rootdev ]]; then
    dev=${cmdline_rootdev##*/}
    pool=${cmdline_rootdev%%/*}
    rbd map $dev --pool $pool --name client.root

    if [[ -n $cmdline_vardev ]]; then
	dev=${cmdline_vardev##*/}
	pool=${cmdline_vardev%%/*}
	rbd map $dev --pool $pool --name client.var
    fi
fi
